package treeificator

import "testing"

// It's a constants container, but coverage still wants it tested
func TestDefaultInformer(t *testing.T) {
	c := DefaultInformer{}
	if x := c.GetName(); x != "default" {
		t.Fatalf("expected \"default\" as default informer name, got %v", x)
	}
	if x := c.GetPrefix(); x != "" {
		t.Fatalf("expected empty string for default informer prefix, got %v", x)
	}
	if x := c.GetSuffix(); x != "" {
		t.Fatalf("expected empty string for default informer suffix, got %v", x)
	}
}
